#
# spec file for package kdenetwork3 (Version 3.2.1)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  alsa alsa-devel audiofile glib glib-devel gtk gtk-devel kde3-devel-packages libogg libogg-devel libvorbis libvorbis-devel mad mad-devel openslp openslp-devel openssl openssl-devel valgrind wireless-tools xmms xmms-devel

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-Mesa XFree86-Mesa-devel XFree86-devel XFree86-libs alsa alsa-devel arts arts-devel audiofile autoconf automake binutils expat fam fam-devel fontconfig fontconfig-devel freeglut freeglut-devel freetype2 freetype2-devel gcc gcc-c++ gdbm gettext glib glib-devel glib2 glib2-devel gnome-filesystem gtk gtk-devel kdelibs3 kdelibs3-devel libart_lgpl libart_lgpl-devel libidn libidn-devel libjpeg liblcms liblcms-devel libmng libmng-devel libogg libogg-devel libpng libpng-devel libstdc++-devel libtiff libtool libvorbis libvorbis-devel libxml2 libxml2-devel libxslt libxslt-devel mad mad-devel openslp openslp-devel openssl-devel pcre pcre-devel perl qt3 qt3-devel rpm update-desktop-files valgrind wireless-tools xmms xmms-devel

Name:         kdenetwork3
License:      GPL
Group:        Productivity/Networking/System
Summary:      KDE network libraries
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Version:      3.2.1
Release:      50.10
Provides:     kdenetwork3-lan:/opt/kde3/bin/kpf
Source0:      kdenetwork-%{version}.tar.bz2
Source1:      init.lisa
Source2:      SuSEconfig.kdenetwork-lan
Source5:      kdenetwork3-lisa.fillup
Source6:      kdenetwork3-windowmanager.fillup
Patch0:       3_2_BRANCH.diff
Patch1:       kppp-security.diff
Patch2:       3_2_BRANCH-fix-for-new-yahoo-protocol.diff
Patch3:       SuSE-news.diff
Patch9:       lan.desktop.diff
Patch10:      lisa-auto-device.diff
Patch11:      kpf-slp.diff
Patch12:      fix-krfb-java-server.diff
Patch13:      fix-asian-aim-codecs.diff
Url:          http://www.kde.org
Requires:     kdelibs3 >= %( echo `rpm -q --queryformat '%{VERSION}' kdelibs3`)
%if %suse_version > 730
Provides:     kdenetwork knet
%endif

%description
Required libraries for the following packages:

kdenetwork3-chat kdenetwork3-dialup kdenetwork3-lan kdenetwork3-mail
kdenetwork3-news kdenetwork3-query



Authors:
--------
    The KDE Team <kde@kde.org>

%package InstantMessenger
# usesubdirs kopete
Provides:     kdenetwork3-chat:/opt/kde3/bin/kopete kopete
Obsoletes:    kopete kdenetwork3-chat
Summary:      Chat applications for KDE
Group:        Productivity/Networking/IRC

%description InstantMessenger
Some applications for chatting via instant messaging.

kopete - Instant Messanger, mit Untersttzung fr AOL (Oscar), ICQ,
Jabber, MSN, Yahoo und IRC.



Authors:
--------
    The KDE Team <kde@kde.org>

%package IRC
# usesubdirs ksirc
Provides:     kdenetwork3:/opt/kde3/bin/ksirc 
Provides:     kdenetwork3-chat:/opt/kde3/bin/ksirc 
Obsoletes:    kdenetwork3-chat
Summary:      IRC application for KDE
Group:        Productivity/Networking/IRC

%description IRC
IRC chat application ksirc.



Authors:
--------
    The KDE Team <kde@kde.org>

%package query
# usesubdirs kdict
Provides:     kdenetwork3:/opt/kde3/bin/kdict
Provides:     kdenetwork:/opt/kde2/bin/kdict
Summary:      Clients for Internet Databases
Group:        Productivity/Databases/Clients

%description query
KDict is a client for the Dict database. The Dict databases are
dictionaries which can be queried for free over the Internet.



Authors:
--------
    The KDE Team <kde@kde.org>

%package wireless
# usesubdirs wifi
Summary:      Wireless Card Manager
Group:        Productivity/Networking/System
Requires:     wireless-tools kdebase3
Provides:     kwifimanager
Obsoletes:    kwifimanager

%description wireless
The package contains kwifimanager, a tool to configure wireless cards.



Authors:
--------
    The KDE Team <kde@kde.org>

%package vnc
# usesubdirs krdc krfb
Summary:      Export and Connect of VNC sessions.
Group:        Productivity/Networking/System

%description vnc
The package contains tools for VNC usage:

krfb - to allow a remote access to your current desktop. krdc - a VNC
client, it can discover remote VNC sessions via SLP. You can connect to
remote kdm-VNC sessions or to provided desktops via krfb for example.



Authors:
--------
    The KDE Team <kde@kde.org>

%package dialup
# usesubdirs kppp
Provides:     kdenetwork3:/opt/kde3/bin/kppp
Provides:     kdenetwork:/opt/kde2/bin/kppp
Requires:     ppp
Summary:      KPPP Modem Dialing Tool
Group:        Productivity/Networking/System

%description dialup
KPPP is a tool for Internet dialup via modem.

The default tool on SuSE is KInternet, which also handles ISDN and DSL.



Authors:
--------
    The KDE Team <kde@kde.org>

%package news
# usesubdirs knode knewsticker dcoprss librss
Provides:     kdenetwork3:/opt/kde3/bin/knode
Provides:     kdenetwork3:/opt/kde3/bin/rssclient
Provides:     kdenetwork:/opt/kde2/bin/knode
Summary:      News-related KDE applications
Group:        Productivity/Networking/News/Clients

%description news
Knode is a usenet news client. Knewstickerstub is a newsticker.



Authors:
--------
    The KDE Team <kde@kde.org>

%package lan
# usesubdirs kxmlrpc lanbrowsing/kcmlisa lanbrowsing/kio_lan
Requires:     kdebase3 kdebase3-samba
Summary:      LAN Applications
Group:        Productivity/Networking/System

%description lan
Applications for local networks:

kio_lan: shows open services in the local network. It requires a
running LISA daemon on the network.(kdenetwork3-lisa package) kxmlrpcd:
XMLRPC-DCOP-daemon



Authors:
--------
    The KDE Team <kde@kde.org>

%package lisa
# usesubdirs lanbrowsing/lisa
Conflicts:    kdenetwork-lisa
Summary:      Network Scanner Daemon
Group:        Productivity/Networking/System
%if %suse_version < 901
PreReq:       %fillup_prereq %insserv_prereq
%endif

%description lisa
LISA scans your network for active hosts and offered services. These
services can be used in Konqueror by using the URL "lan://localhost".
You can set the variable USE_LISA to "server" in the YaST sysconfig
editor, if you want to offer these services to all your local clients.

You do not need to install KDE to use this package.



Authors:
--------
    The KDE Team <kde@kde.org>

%prep
%setup -n kdenetwork-%{version} -q
%patch0 
%patch1
%patch2
%patch3
%patch9
%patch10
%patch11
%patch12
%patch13
# remove ktalkd for security reasons
rm -rf ktalkd doc/ktalkd doc/kcontrol/kcmktalkd
. /etc/opt/kde3/common_options
update_admin

%build
. /etc/opt/kde3/common_options
%if %suse_version < 900
ac_cv_have_xmms=no \
DO_NOT_COMPILE=wifi \
%endif
./configure $configkde
make

%install
. /etc/opt/kde3/common_options
[ ${RPM_BUILD_ROOT} != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=$RPM_BUILD_ROOT $INSTALL_TARGET
mkdir -p $RPM_BUILD_ROOT/etc/ppp/peers
#
# setup LISa daemons
mkdir -p $RPM_BUILD_ROOT/usr/sbin/
mv $RPM_BUILD_ROOT/opt/kde3/bin/lisa $RPM_BUILD_ROOT/usr/sbin/lisa
ln -sf ../../../usr/sbin/lisa $RPM_BUILD_ROOT/opt/kde3/bin/lisa 
#
# Install lisa init script
mkdir -p $RPM_BUILD_ROOT/etc/init.d $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 744 %SOURCE1 $RPM_BUILD_ROOT/etc/init.d/lisa
ln -sf ../../etc/init.d/lisa $RPM_BUILD_ROOT/usr/sbin/rclisa
#
# Install kdenetwork3.fillup template and lisarc
%if %suse_version < 901
FILLUP_DIR=$RPM_BUILD_ROOT/var/adm/fillup-templates
mkdir -p $FILLUP_DIR
install -m 0644 %SOURCE6 $FILLUP_DIR/sysconfig.windowmanager-%name
mkdir -p $RPM_BUILD_ROOT/sbin/conf.d
# We have kio_slp on 9.1
install -m 0755 %SOURCE2 $RPM_BUILD_ROOT/sbin/conf.d/SuSEconfig.kdenetwork-lan
%endif
cat > $RPM_BUILD_ROOT/etc/lisarc << EOF
# default configuration for local networks only
# estimate the ip address from eth0 dynamic
PingAddresses = auto-eth0/255.255.0.0;
PingNames = 
AllowedAddresses =  127.0.0.1/255.255.255.0;
# BroadcastNetwork = 127.0.0.1/255.255.255.255;
FirstWait = 30
SecondWait = -1
UpdatePeriod = 300
DeliverUnnamedHosts = 1
MaxPingsAtOnce = 64
SearchUsingNmblookup = 1
EOF
#
# fix security issues
# 
chmod 0755 $RPM_BUILD_ROOT/opt/kde3/bin/kppp
%suse_update_desktop_file kopete          Network  InstantMessaging
%suse_update_desktop_file ksirc           Network  IRCClient
%suse_update_desktop_file Kppp            Network  Dialup
%suse_update_desktop_file kppplogview -r  System   Monitor
%suse_update_desktop_file kdict           Office   Database
%suse_update_desktop_file krdc -r         System   RemoteAccess
%suse_update_desktop_file krfb -r         System   RemoteAccess
%suse_update_desktop_file kget -r         System   TrayIcon
%if %suse_version > 820
%suse_update_desktop_file kwifimanager -r Network  FileTransfer
%endif
%suse_update_desktop_file -u knewsticker-standalone Network  News
rm -rf $RPM_BUILD_ROOT//opt/kde3/share/doc/HTML/en/kcontrol/kxmlrpcd

%post
%run_ldconfig
%if %suse_version > 800

%post InstantMessenger
%run_ldconfig

%post IRC
%run_ldconfig

%post lan
if test -f etc/sysconfig/lan ; then
bin/fillup -q etc/sysconfig/windowmanager etc/sysconfig/lan
rm -f etc/sysconfig/lan
fi
%{fillup_only -an windowmanager}
%run_ldconfig
%endif

%preun lisa
%if %suse_version > 820
%stop_on_removal lisa
%endif

%post lisa
%{fillup_and_insserv -n lisa lisa}

%postun lisa
%if %suse_version > 820
%restart_on_update lisa
%endif
%insserv_cleanup

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir /opt/kde3/share/applnk/.hidden
/opt/kde3/bin/feedbrowser
/opt/kde3/bin/kg*
/opt/kde3/%_lib/kde3/kpf*
%doc /opt/kde3/share/doc/HTML/en/kpf
/opt/kde3/%_lib/kde3/khtml_kget.*
/opt/kde3/share/applications/kde/kget.desktop
/opt/kde3/share/applnk/.hidden/kcmkiolan.desktop
/opt/kde3/share/applnk/.hidden/kcmlisa.desktop
/opt/kde3/share/applnk/.hidden/kcmreslisa.desktop
/opt/kde3/share/applnk/.hidden/knewstickerstub.desktop
/opt/kde3/share/apps/kg*
/opt/kde3/share/apps/kicker/applets/kpfapplet.desktop
%dir /opt/kde3/share/apps/khtml/kpartplugins
/opt/kde3/share/apps/khtml/kpartplugins/kget_plug_in.rc
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kn*
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kget
%doc %lang(en) /opt/kde3/share/doc/HTML/en/lisa
%dir /opt/kde3/share/icons/*/*x*
%dir /opt/kde3/share/icons/*/*x*/*
/opt/kde3/share/icons/*/*x*/*/kget.png
/opt/kde3/share/icons/*/*x*/*/kget_list.png
/opt/kde3/share/icons/*/*x*/*/khtml_kget.png
/opt/kde3/share/icons/*/*x*/*/kpf.png
/opt/kde3/share/services/kpfpropertiesdialogplugin.desktop
/opt/kde3/share/mimelnk/application/x-kgetlist.desktop
%if %suse_version > 800

%files InstantMessenger
%defattr(-,root,root)
%endif
%dir /opt/kde3/share/services/kconfiguredialog
%dir /opt/kde3/%_lib/kconf_update_bin
%dir /opt/kde3/share/sounds
/opt/kde3/bin/kopete
/opt/kde3/%_lib/libkopete*
/opt/kde3/%_lib/kde3/kcm_kopete_*
/opt/kde3/%_lib/kde3/kopete_*
/opt/kde3/%_lib/kde3/libkrichtexteditpart.*
/opt/kde3/%_lib/kconf_update_bin/kopete-*
/opt/kde3/share/applnk/Internet/kopete.desktop
/opt/kde3/share/apps/kopete*
/opt/kde3/share/servicetypes/kopete*
/opt/kde3/share/services/kconfiguredialog/kopete*
/opt/kde3/share/services/kopete*.desktop
/opt/kde3/share/services/chatwindow.desktop
/opt/kde3/share/sounds/Kopete*
/opt/kde3/share/icons/*/*x*/*/kopete.png
/opt/kde3/share/apps/kconf_update/kopete-*
%doc /opt/kde3/share/doc/HTML/en/kopete
%if %suse_version > 800

%files IRC
%defattr(-,root,root)
%endif
/opt/kde3/bin/dsirc
/opt/kde3/bin/ksirc
/opt/kde3/%_lib/libkdeinit_ksirc.*
/opt/kde3/%_lib/kde3/ksirc.*
/opt/kde3/share/applications/kde/ksirc.desktop
/opt/kde3/share/apps/ksirc
%config /opt/kde3/share/config/ksircrc
/opt/kde3/share/icons/*/*x*/*/ksirc.png
%doc /opt/kde3/share/doc/HTML/en/ksirc
%if %suse_version > 800

%files query
%defattr(-,root,root)
%endif
/opt/kde3/bin/kdict
/opt/kde3/%_lib/kde3/kdict_panelapplet.*
/opt/kde3/share/applications/kde/kdict.desktop
/opt/kde3/share/apps/kdict
%dir /opt/kde3/share/apps/kicker
%dir /opt/kde3/share/apps/kicker/applets
/opt/kde3/share/apps/kicker/applets/kdictapplet.desktop
/opt/kde3/share/icons/*/*x*/*/kdict.png
%doc /opt/kde3/share/doc/HTML/en/kdict
%if %suse_version > 800

%files vnc
%defattr(-,root,root)
%endif
/opt/kde3/bin/kr*
/opt/kde3/%_lib/kde3/kcm_krfb.*
/opt/kde3/%_lib/kde3/kded_kinetd.*
/opt/kde3/share/apps/kr*
/opt/kde3/share/apps/kinetd
/opt/kde3/share/applications/kde/kcmkrfb.desktop
/opt/kde3/share/applications/kde/krfb.desktop
/opt/kde3/share/applications/kde/krdc.desktop
/opt/kde3/share/icons/*/*x*/*/krdc.png
/opt/kde3/share/icons/*/*x*/*/krfb.png
/opt/kde3/share/services/kded/kinetd.desktop
/opt/kde3/share/services/kinetd_krfb.desktop
/opt/kde3/share/services/kinetd_krfb_httpd.desktop
/opt/kde3/share/services/vnc.protocol
/opt/kde3/share/services/rdp.protocol
/opt/kde3/share/servicetypes/kinetdmodule.desktop
%doc /opt/kde3/share/doc/HTML/en/krdc
%doc /opt/kde3/share/doc/HTML/en/krfb
%if %suse_version > 800

%files dialup
%defattr(-,root,root)
%endif
/opt/kde3/bin/kppp*
/opt/kde3/share/applications/kde/kppplogview.desktop
/opt/kde3/share/applications/kde/Kppp.desktop
/opt/kde3/share/apps/kppp
/opt/kde3/share/icons/*/*x*/*/kppp.png
%doc /opt/kde3/share/doc/HTML/en/kppp
%if %suse_version > 800

%files news
%defattr(-,root,root)
%endif
/opt/kde3/bin/kn*
/opt/kde3/bin/rssclient
/opt/kde3/bin/rssservice
/opt/kde3/%_lib/librss.*
/opt/kde3/%_lib/kde3/libkntsrcfilepropsdlg.*
/opt/kde3/%_lib/kde3/knewsticker_panelapplet.*
/opt/kde3/include/rss
/opt/kde3/share/applications/kde/knewsticker-standalone.desktop
/opt/kde3/share/apps/kconf_update/kn*
/opt/kde3/share/apps/kicker/applets/knewsticker.desktop
/opt/kde3/share/apps/knewsticker
/opt/kde3/share/icons/*/*x*/*/knewsticker.png
/opt/kde3/share/services/kntsrcfilepropsdlg.desktop
/opt/kde3/share/services/rssservice.desktop
%if %suse_version > 800

%files lan
%defattr(-,root,root)
%endif
/opt/kde3/%_lib/kde3/kcm_lanbrowser.*
/opt/kde3/%_lib/kde3/kio_lan.*
%dir /opt/kde3/share/apps/konqueror
/opt/kde3/share/apps/konqueror/dirtree
/opt/kde3/share/services/lan.protocol
/opt/kde3/share/services/rlan.protocol
%dir /opt/kde3/share/doc/HTML/en/kcontrol
%doc /opt/kde3/share/doc/HTML/en/kcontrol/lanbrowser
%if %suse_version < 901
/var/adm/fillup-templates/sysconfig.windowmanager-%name
/sbin/conf.d/SuSEconfig.kdenetwork-lan
%endif
%if %suse_version > 800

%files lisa
%defattr(-,root,root)
%endif
/usr/sbin/lisa
/usr/sbin/rclisa
/etc/init.d/lisa
%config(noreplace) /etc/lisarc
/opt/kde3/bin/lisa
/opt/kde3/bin/reslisa
/opt/kde3/share/apps/lisa
%if %suse_version > 820
%if %suse_version > 800

%files wireless
%defattr(-,root,root)
%endif
/opt/kde3/bin/kwifimanager
/opt/kde3/%_lib/libkwireless.*
/opt/kde3/%_lib/kde3/kcm_kwifimanager.*
/opt/kde3/share/apps/kwifimanager
/opt/kde3/share/apps/kicker/applets/kwireless.desktop
/opt/kde3/share/applications/kde/kcmwifi.desktop
/opt/kde3/share/applications/kde/kwifimanager.desktop
%doc /opt/kde3/share/doc/HTML/en/kwifimanager
%endif

%changelog -n kdenetwork3
* Thu Jul 22 2004 - adrian@suse.de
- fix non-western support in AIM protocol (by Will #38138)
* Wed Jun 30 2004 - adrian@suse.de
- add some missing hunks for last patch.
* Sat Jun 26 2004 - adrian@suse.de
- fix kopete Yahoo support, after protocol change (#42511)
* Fri May 28 2004 - adrian@suse.de
- fix krfb java server, it didn't work at all
  (#41295, found by skh)
* Thu Apr 01 2004 - adrian@suse.de
- krfb: remove CLOEXEC flag on socket.
  (fixes possible connection problems to krfb. b.k.o:77412)
* Tue Mar 23 2004 - adrian@suse.de
- fix build
* Tue Mar 23 2004 - adrian@suse.de
- remove tightvnc requires. It is not needed anymore with KDE 3.2
- update to 3_2_BRANCH
  * kopete protocol plugin fixes
  * minor fix in wifimanager
  * translations
* Mon Mar 15 2004 - adrian@suse.de
- fix wrong Provides: kopete
* Tue Mar 09 2004 - coolo@suse.de
- fixing start variables for lisa (#34717)
* Sat Mar 06 2004 - coolo@suse.de
- fix build on older distributions
* Mon Mar 01 2004 - coolo@suse.de
- update to version 3.2.1
* Sun Feb 29 2004 - adrian@suse.de
- move kpf to main package
- anounce kpf web servers via SLP
* Tue Feb 24 2004 - adrian@suse.de
- disable threading for kget (patch by Thomas Zell)
- add FileTransfer Categorie to kwifimanager
* Wed Feb 18 2004 - adrian@suse.de
- update to current 3_2_BRANCH
* Tue Feb 17 2004 - adrian@suse.de
- fix outdated Categories
* Mon Feb 16 2004 - adrian@suse.de
- update to current 3_2_BRANCH
- justify Categories
* Sat Feb 14 2004 - adrian@suse.de
- update to current 3_2_BRANCH
- branch -chat packge into -IRC and -InstantMessanger
- clean up -lan package, we rely on kio_slp now.
* Sat Feb 07 2004 - adrian@suse.de
- update to current BRANCH
- build wifimanager and package it into -wireless package
  (Obsoletes own kwifimanager package)
- compile kopete with valgrind support (no module unload, when
  running in valgrind)
* Thu Feb 05 2004 - adrian@suse.de
- move rss tools to -news subpackage to get kontact news plugin working
* Wed Jan 28 2004 - adrian@suse.de
- update to version 3.2.0 final
* Sun Jan 18 2004 - adrian@suse.de
- update to version 3.1.95 ( KDE 3.2 RC1 )
* Tue Jan 13 2004 - adrian@suse.de
- update to snapshot 2004011309
* Mon Dec 01 2003 - adrian@suse.de
- update to 3.1.94 ( KDE 3.2 beta 2 )
* Thu Nov 13 2003 - adrian@suse.de
- update to new snapshot from 2003102409
- fix SLP support in krdc
* Wed Oct 29 2003 - adrian@suse.de
- update to KDE 3.2 beta1
* Tue Oct 21 2003 - adrian@suse.de
- update to snapshot 2003102008
* Sun Oct 05 2003 - adrian@suse.de
- update to snapshot 2003100510
* Mon Sep 29 2003 - adrian@suse.de
- update to version 1.1.92 (KDE 3.2 alpha 2)
* Mon Sep 15 2003 - coolo@suse.de
- source correct sysconfig file
* Thu Sep 11 2003 - ro@suse.de
- move old content of sysconfig/lan to sysconfig/windowmanager
  on update
* Wed Sep 10 2003 - coolo@suse.de
- move the content of sysconfig/lan to sysconfig/windowmanager as it
  really has little to do with a LAN
- fixing crypto plugin detection
* Tue Sep 09 2003 - adrian@suse.de
- apply backports from Ingo for beta3. I guess Dirk will redo the
  3.1.4 tar ball ..
* Tue Sep 09 2003 - adrian@suse.de
- update to version 3.1.4
* Mon Sep 08 2003 - adrian@suse.de
- move knewsticker entry to DesktopUtility
- network icon on desktop with smb:/ default
- update 3_1_BRANCH.diff
- use better icon for local network
* Thu Sep 04 2003 - adrian@suse.de
- move kget icon
* Thu Sep 04 2003 - coolo@suse.de
- updating 3_1_BRANCH after fixing kmail config inconsistencies
  in there
* Mon Sep 01 2003 - adrian@suse.de
- fix Categories
* Wed Aug 20 2003 - adrian@suse.de
- remove the prevent_kmail_from_moving.diff
  (better fix happened with 3.1.3)
* Thu Aug 14 2003 - adrian@suse.de
- Require: tightvnc, instead of vnc on > 8.2
* Thu Aug 14 2003 - adrian@suse.de
- add ServiceRestart: to sysconfig
* Wed Aug 13 2003 - adrian@suse.de
- fix Requires (only kdenetwork-dialup needs ppp)
- conflict with wrong cryptplug packages on lib64 systems
- apply current 3_1_BRANCH
* Tue Aug 12 2003 - adrian@suse.de
- justify Categories
* Tue Aug 05 2003 - adrian@suse.de
- fix invalid "Mail" Category (Email)
* Tue Aug 05 2003 - adrian@suse.de
- fix Categories
* Tue Jul 29 2003 - adrian@suse.de
- restart lisa daemon on rpm update
* Fri Jul 25 2003 - adrian@suse.de
- fix build for < 8.1
- add Categories
* Thu Jul 17 2003 - adrian@suse.de
- update to version 3.1.3
* Fri Jun 27 2003 - ro@suse.de
- fix postinstall for kdenetwork-lan
* Mon Jun 16 2003 - coolo@suse.de
- package directories
* Thu May 22 2003 - coolo@suse.de
- fix docu packaging
* Tue May 13 2003 - coolo@suse.de
- handle the charset correctly in kmailcvt
* Thu May 08 2003 - adrian@suse.de
- update to version 3.1.2
* Wed May 07 2003 - adrian@suse.de
- fix lisa-auto-device.diff (was a zero bytes file)
* Tue Apr 22 2003 - adrian@suse.de
- fixes gpg handling, if no gpg-agent is running (#26141)
* Thu Apr 17 2003 - adrian@suse.de
- drop SuSEconfig.lisa and apply patch to change ip at runtime
  (fixes problem when IP changes at runtime)
* Wed Apr 02 2003 - adrian@suse.de
- fix the prevent_kmail_from_moving.diff patch
* Wed Apr 02 2003 - adrian@suse.de
- fix lan:/ url to lan://
* Fri Mar 28 2003 - adrian@suse.de
- add SuSEconfig script to set default {,r}lan:/ service
  depending on sysconfig
* Fri Mar 28 2003 - adrian@suse.de
- prevent kmail from removing a local folder when using with IMAP
  (based on coolo's patch)
* Wed Mar 12 2003 - meissner@suse.de
- Use krdc (vncviewer) from KDE HEAD, fixed one additional
  image pointer. krdc was not working before, this was one
  at least works. #25138
* Tue Mar 11 2003 - adrian@suse.de
- update to 3.1.1, try 2
* Mon Mar 03 2003 - adrian@suse.de
- update to 3.1.1
* Thu Feb 27 2003 - coolo@suse.de
- updating 3_1_BRANCH with a couple of fixes
* Wed Feb 19 2003 - meissner@suse.de
- fix DCOP calls to enable krfb and krfb_httpd #23707
* Fri Feb 07 2003 - adrian@suse.de
- add microhttpd for vnc from Marcus
* Wed Feb 05 2003 - adrian@suse.de
- update KDE_3_1_BRANCH patch
- add patch from Waldo to be able to print single attachments
  with 3.1 (#bobbele1)
* Mon Feb 03 2003 - adrian@suse.de
- add KDE_3_1_BRANCH patch
* Thu Jan 30 2003 - adrian@suse.de
- split -vnc package
* Fri Jan 17 2003 - adrian@suse.de
- use RC7-try2 tar ball
* Wed Jan 15 2003 - adrian@suse.de
- update to RC7
- add meta data for fillup
* Tue Jan 07 2003 - adrian@suse.de
- update to RC6
* Mon Nov 25 2002 - adrian@suse.de
- update to RC5
* Wed Nov 20 2002 - adrian@suse.de
- update to version 3.1-RC4 (final ?)
* Sun Nov 03 2002 - adrian@suse.de
- update to version 1.1.0.20021030 ~= RC1
* Fri Oct 11 2002 - adrian@suse.de
- add missing /etc/ppp/peers/kppp to file list
* Tue Oct 08 2002 - adrian@suse.de
- update to version 3.0.4
* Wed Sep 04 2002 - adrian@suse.de
- add bigendian fix from waldo
* Mon Sep 02 2002 - coolo@suse.de
- fixing kmail's default config for real
* Sat Aug 31 2002 - adrian@suse.de
- add security fix from okir for the lan_browser client and
  lisa daemon
- fix support for fish/ssh protocol
* Fri Aug 30 2002 - adrian@suse.de
- apply fix for hangup if a empty line is in /etc/lisarc
- do not write empty lines anymore ;)
- init script fixes
- add %%insserv_prereq to PreReq for -lisa package
- improve lisarc generation in general
- do not allow more than a class C anymore, lisa is not able
  to handle it
- enable samba scan only if nmblookup is present
* Wed Aug 14 2002 - coolo@suse.de
- fixing kmail problems (#17708 and most likely also #17709)
* Mon Aug 12 2002 - kukuk@suse.de
- lisa.init: Use $time instead of xntpd in Required-Start
* Thu Aug 08 2002 - adrian@suse.de
- update to version 3.0.3
- add %%run_ldconfig
* Tue Aug 06 2002 - adrian@suse.de
- fix PreRequires
* Wed Jul 31 2002 - adrian@suse.de
- remove Requirement to samba-client (obsolete)
- use current 3_0_BRANCH
  * remove knode.dif (obsolete)
* Tue Jul 16 2002 - coolo@suse.de
- add fix for knode crashing on missing group name
* Sat Jul 06 2002 - adrian@suse.de
- add missing Provides: update from KDE 2
* Fri Jul 05 2002 - adrian@suse.de
- split package into subpackages -mail, -news, -query, -chat,
-dialup and -lan. (lisa and devel was already splitted)
- fix SuSEconfig.lisa script for /etc/sysconfig configurations
* Mon Jul 01 2002 - adrian@suse.de
- fix kdenewsticker start path, if $KDEDIR is not set
* Tue Jun 25 2002 - adrian@suse.de
- update to version 3.0.2
* Sun Jun 09 2002 - ro@suse.de
- use update_admin and new common_options
* Wed May 22 2002 - adrian@suse.de
- remove ktalkd for security reasons
* Fri May 10 2002 - adrian@suse.de
- update to 3.0.1
* Tue May 07 2002 - meissner@suse.de
- %%_lib fixes, generic KDE fixes applied.
* Fri Apr 26 2002 - coolo@suse.de
- adding 3.0 branch patch with e.g. kmail fixes
* Mon Mar 25 2002 - adrian@suse.de
- 3.0 final, second try of tar ball
* Mon Mar 25 2002 - adrian@suse.de
- update to 3.0 final :)
* Thu Mar 21 2002 - adrian@suse.de
- update to 3.0rc3
* Mon Mar 11 2002 - ro@suse.de
- adapted DEFAULT_NEWSSOURCES for knewsticker
* Sun Mar 10 2002 - adrian@suse.de
- update to 3.0rc2
* Mon Mar 04 2002 - adrian@suse.de
- update to 3.0rc1
* Mon Feb 25 2002 - adrian@suse.de
- update to snapshot 2.92.2002022512
* Mon Feb 18 2002 - adrian@suse.de
- update to snapshot 2.92.2002021810
* Fri Feb 15 2002 - adrian@suse.de
- update to snapshot 2.92.2002021421
* Mon Feb 11 2002 - adrian@suse.de
- update to snapshot 2.92.2002021111
* Fri Feb 08 2002 - arvin@suse.de
- updated kppp-security.dif
* Wed Feb 06 2002 - adrian@suse.de
- update to version 2.92 (KDE 3.0 beta 2)
- use common_compile_flags
* Mon Jan 28 2002 - adrian@suse.de
- update to snapshot 2.91.2002012811
* Wed Jan 23 2002 - adrian@suse.de
- update to snapshot 2.91.2002012221
* Thu Jan 10 2002 - adrian@suse.de
- update to version 2.91.20020110
* Tue Dec 18 2001 - adrian@suse.de
- update to version 2.91 (3.0 beta1)
* Wed Nov 14 2001 - adrian@suse.de
- update to version 2.2.2
* Mon Nov 12 2001 - ro@suse.de
- use kde2-devel-packages in neededforbuild
* Sun Sep 23 2001 - adrian@suse.de
- add fix for kmail from cvs. On failing pop account caused all
  others to fail.
* Tue Sep 18 2001 - adrian@suse.de
- add Requires: samba-client to kdenetwork-lisa
* Tue Sep 11 2001 - adrian@suse.de
- update to second try of 2.2.1 tar balls
* Sat Sep 08 2001 - adrian@suse.de
- update to 2.2.1
* Mon Aug 06 2001 - adrian@suse.de
- update to 2.2 final
* Wed Aug 01 2001 - adrian@suse.de
- 2.2pre1
* Fri Jun 29 2001 - adrian@suse.de
- 2.2beta1
* Mon Apr 16 2001 - adrian@suse.de
- 2.2alpha1
* Mon Apr 09 2001 - ro@suse.de
- fixed spec
* Sun Apr 08 2001 - adrian@suse.de
- -O2 for alpha
  update to current KDE_2_1_BRANCH (kppp fix)
* Fri Mar 30 2001 - ro@suse.de
- neededforbuild fix
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Wed Mar 21 2001 - adrian@suse.de
- Obsolete kmailcvt
* Tue Mar 20 2001 - adrian@suse.de
- update to 2.1.1 (official tar ball)
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- removed second occurence of docbk30 from neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Thu Feb 22 2001 - adrian@suse.de
- update to final 2.1.0
* Wed Feb 14 2001 - adrian@suse.de
- update to 2.1 post beta 2
* Mon Feb 12 2001 - ro@suse.de
- fix compilation
* Sun Jan 07 2001 - adrian@suse.de
- change icon handling
* Sun Dec 17 2000 - adrian@suse.de
- fix icon file conflicts
* Wed Dec 13 2000 - adrian@suse.de
- update to current 2_0_BRANCH
* Fri Nov 17 2000 - ro@suse.de
- fixed neededforbuild: += libmng-devel
* Thu Nov 16 2000 - adrian@suse.de
- New version from KDE_2_0_BRANCH
* Thu Nov 02 2000 - adrian@suse.de
- fixed file list
* Wed Oct 25 2000 - adrian@suse.de
- added kppp security patch (not set uid root anymore needed)
  passwordfd dif from arvin
* Tue Oct 17 2000 - adrian@suse.de
- update to 2.0.0
* Tue Sep 12 2000 - adrian@suse.de
- update to RC 1
* Mon Aug 21 2000 - adrian@suse.de
- update to beta 4 / 1.93
* Sat Jul 29 2000 - adrian@suse.de
- fixed kmail seg fault at startup
* Fri Jul 21 2000 - adrian@suse.de
- update to beta 3
* Tue Jul 18 2000 - adrian@suse.de
- compile fix
* Tue Jul 18 2000 - adrian@suse.de
- update to snapshot from 17.07.2000
* Sun Jul 09 2000 - adrian@suse.de
- update to snapshot from 06.07.2000
* Fri Jun 09 2000 - adrian@suse.de
- update to 1.91; beta 2
* Tue Jun 06 2000 - adrian@suse.de
- snapshot from 06.06.2000
* Sun May 28 2000 - adrian@suse.de
- snapshot from 28.05.2000
  new type of spec file
* Fri May 12 2000 - adrian@suse.de
- Spec file created from kdenetwork-1.90.tar.gz by autospec
